require('./socket');
require('dotenv').config();
const express = require('express'),
    cors = require('cors'),
    logger = require('morgan'),
    cookieParser = require('cookie-parser'),
    mysql = require('mysql'),
    //events = require('./events'),
    path = require('path'),
    fs = require('fs');
    
const connection = mysql.createConnection({
    host     : process.env.DB_HOST,
    port     : process.env.DB_PORT,
    user     : process.env.DB_USER,
    password : process.env.DB_PASS,
    database : process.env.DB_DATABASE,
    multipleStatements: true,
});

connection.connect();

const port = process.env.PORT || 8080;

const app = express()
    .disable('etag')
    .use(cors())
    .use(express.json())
    .use(cookieParser())
    .use(logger('(:date) :method :url - ":user-agent" (:remote-addr) - :status :response-time ms'));

app.listen(port, () => {
    console.log(`Express server listening on port ${port}`);
});
